﻿using System.Diagnostics;
using Infragistics.Calculations;


namespace MultipleCalculations
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();

            this.CalculationManager.FormulaCalculationError += CalculationManagerOnFormulaCalculationError;
            this.CalculationManager.FormulaCircularityError += CalculationManagerOnFormulaCircularityError;
            this.CalculationManager.FormulaReferenceError += CalculationManagerOnFormulaReferenceError;
            this.CalculationManager.FormulaSyntaxError += CalculationManagerOnFormulaSyntaxError; 
        }

        private void CalculationManagerOnFormulaSyntaxError(object sender, FormulaSyntaxErrorEventArgs e)
        {
            Debug.WriteLine(e.ErrorDisplayText);
        }

        private void CalculationManagerOnFormulaReferenceError(object sender, FormulaReferenceErrorEventArgs e)
        {
            Debug.WriteLine(e.ErrorDisplayText);
        }

        private void CalculationManagerOnFormulaCircularityError(object sender, FormulaCircularityErrorEventArgs e)
        {
            Debug.WriteLine(e.ErrorDisplayText);
        }

        private void CalculationManagerOnFormulaCalculationError(object sender, FormulaCalculationErrorEventArgs e)
        {
            Debug.WriteLine(e.ErrorDisplayText);
        }
    }
}
